#-*-coding:utf-8-*-
###########################################################################
#
# sap.py
#
###########################################################################
"""
    Configuration pour la création de la base de données de mon appli
"""
from eolesql.config import dico_creole

sap_TABLEFILENAMES = ['/usr/share/eole/mysql/sap/updates/sap.submit_user.sql']

def test_reponse(result=None):
    """
        test l'existence sap
    """
    return dico_creole.get('scribe_envole_sap', 'non') == 'oui'

conf_dict = dict(db='posh',
                 expected_response=test_reponse,
                 filenames=sap_TABLEFILENAMES,
                 version='Mise à jour de sap')
