<?php
require_once dirname(__FILE__).'/../../includes/base.inc.php';

//On inclut le modèle
include dirname(__FILE__).'/../modeles/articles.php';
include dirname(__FILE__).'/../modeles/users.php';

@session_start();
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
	if(isset($_POST['id'])&&(!empty($_POST['id']))&&
	   isset($_POST['action'])&&(!empty($_POST['action']))){ 	
		
	   $id = Secure::bdd($_POST['id']);
	   $action = Secure::bdd($_POST['action']);
	   	
	   switch($action){
			case "des" :
				desactiver_article($id);
				break;
			case "rea" :
				reactiver_article($id);
				break;
			case "del" :			
				supprimer_article($id);
				break;
			default :
				echo 'Erreur - Action inconnue.';
				break;
		}
	}else{
		//On récupère nos compteurs
		$compteur_articles = compter_articles();
		$compteur_articles_sansdesc = compter_articles_sansdesc();
		$compteur_articles_delete = compter_articles_delete();
		$compteur_articles_sansgestion = compter_articles_sans_gestion();
		$compteur_articles_intervalle_jour = compter_articles_intervalle(1);
		$compteur_articles_intervalle_semaine = compter_articles_intervalle(7);
		$compteur_articles_intervalle_mois = compter_articles_intervalle(30);
		
		//On inclut la vue
		if(isset($_POST['view'])&&(!empty($_POST['view']))){
			include dirname(__FILE__).'/../vues/articles/compteurs_articles.php';
		}else{
			include dirname(__FILE__).'/../vues/articles/articles.php';
		}
	}
}else{
	redir($adresse);
}