<?php
require_once dirname(__FILE__).'/../../includes/base.inc.php';

//On inclut le modèle
include dirname(__FILE__).'/../modeles/groupes.php';
include dirname(__FILE__).'/../modeles/users.php';

@session_start();
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
	if(isset($_POST['id'])&&(!empty($_POST['id']))&&
	   isset($_POST['action'])&&(!empty($_POST['action']))){ 	
		
	   $id = Secure::bdd($_POST['id']);
	   $action = Secure::bdd($_POST['action']);
	   	
		switch($action){
			case "des" :				
				desactiver_group($id);
				break;
			case "rea" :
				reactiver_group($id);
				break;
			case "del" :			
				supprimer_group($id);
				break;
			default :
				echo 'Erreur - Action inconnue.';
				break;
		}
	}else{
		//On récupère les groupes
		$groups_private = recuperer_groups(1);
		$groups_public = recuperer_groups(0);
		$compteur_groupe = compter_groupe();
		$compteur_groupe_sansmembre = compter_groupe_sansmembre();
		$compteur_groupe_sansarticle = compter_groupe_sansarticle();
		$compteur_groupe_sansarticle_membre = compter_groupe_sansarticle_membre();
		$compteur_groupe_prive = compter_groupe_prive();
		$compteur_groupe_public = compter_groupe_public();
		$compteur_groupe_inactif = compter_groupe_inactif();	
		$compteur_groupe_sansgestion = compter_groupe_sans_gestion();
		$compteur_groupe_delete = compter_groupe_delete();
		
		//On inclut la vue
		if(isset($_POST['view'])&&(!empty($_POST['view']))){
			include dirname(__FILE__).'/../vues/groupes/compteurs_groupes.php';
		}else{
			include dirname(__FILE__).'/../vues/groupes/groupes.php';
		}
	}
}else{
	redir($adresse);
}