<?php 
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
	$user_login = Secure::bdd($_SESSION['user_login']);	

	if(is_admin($user_login)){	
?>
<!doctype html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="fr">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<title>Liste des admin <?php echo $project_article_p.' '.$project_name;?></title>
	<script>var url_img = "<?php echo $url_img; ?>";</script>
	<script type="text/javascript" src="lib/functions.js"></script>
	<script type="text/javascript" src="lib/jquery/jquery.js"></script>
	<script type="text/javascript" src="lib/jquery/jquery.autocomplete.js"></script>
	<link rel="stylesheet" type="text/css" href="<?php echo $url_css;?>/main.css"/>
	<link rel="stylesheet" type="text/css" href="<?php echo $url_css;?>/jquery.autocomplete.css"/>
	<script>
	$(document).ready(function() {
	    $('#users').autocomplete('includes/autocomplete.inc.php');
	});
	</script>
</head>
<body>
<div id="container">
	<table class="menu_title">
	<tr>
		<td colspan="2" class="td_main">
			<?php include dirname(__FILE__).'/menu.php';?>
		</td>		
	</tr>
	</table>	
	<div id="content">	
		<h3>Administrateurs <?php echo $project_article_p.' '.$project_name; ?></h3>
		<p class="info_tooltip"><img src="<?php echo $url_img;?>/alert.png" alt="Alerte" title="Attention"/> Donner les droits d'administration ici revient à donner les droits d'administration sur POSH</p>
		<table class="table_admin">
		<tr><th>Nom et Prénom</th><th>Login (uid)</th><th>Adresse mail</th><th>Dernière connexion</th><th>Mots clé</th><th></th></tr>		
		<?php
		$cpt_ligne = 1;
		foreach($admins as $key => $admin)
		{
			if($cpt_ligne%2==0){$classe = "modulo2-0";}else{$classe = "modulo2-1";}
			if(is_user_exist_uid(Secure::bdd($admin['username']))){
				$infos_user_ldap = recup_infos_ldap(Secure::bdd($admin['username']));
				echo '<tr class="'.Secure::html($classe).'">'.
						 '<td class="td_name">'.Secure::html($infos_user_ldap[0]).'</td>'.
						 '<td class="td_username">'.Secure::html($admin['username']).'</td>'.
						 '<td class="td_mail">'.Secure::html($infos_user_ldap[1]).'</td>'.
						 '<td class="td_lastco">'.Secure::html($admin['lastco_formater']).'</td>'.
						 '<td class="td_keywords">'.Secure::html($admin['keywords']).'</td>';
				if($admin['username']!="admin"){
					echo '<td class="td_del"><input type="image" src="'.$url_img.'/delete_admin.png" title="Supprimer les droits" onclick="if(window.confirm(\''.$suppr_admin.'\')){gestion_admin(\''.Secure::bdd($admin['username']).'\',\'del\');}else{return false;};" /></td>';
				}else{
					echo '<td class="td_del">&nbsp;</td>';	
				}
				echo '</tr>';;	
			}
			$cpt_ligne++;
		}
	 	?>
	 	<tr><td colspan="6">&nbsp;</td></tr>
	 	</table>
	 	<table class="table_admin">
	 	<tr>	 		
	 		<td class="td_left_ajout"><input id="users" type="text" value="Ajouter un admin par son uid" onclick="this.value='';"/></td>
	 		<td class="td_right_ajout"><div class=submit_ajout><a href="#" onclick="gestion_admin(document.getElementById('users').value,'add')" title="Ajouter">&nbsp;</a></div></td>
	 	</tr>
	 	</table>
	 </div>	
	<div id="content_info">		
	</div>
</div>
</body>
</html>
<?php 
	}else{
		echo "<p class=\"erreur\">Erreur - Vous ne pouvez accéder à cette ressource.</p>";
	}
}else{
	echo "<p class=\"erreur\">Erreur - Mauvaise gestion des utilisateurs. Merci de contacter l'administrateur.</p>";
}
?>
