<?php
//Pour éviter l'accès à la page directement, on vérifie que la page en reçoit bien l'autorisation
if($_POST['affichage']=='true'){
	
	require_once dirname(__FILE__).'/../../../includes/base.inc.php';
	
	//Récuperation du modèle pour le requetâge SQL
	include dirname(__FILE__).'/../../modeles/articles.php';
	
	if(isset($_POST['champ'])&&(!empty($_POST['champ']))){
		$champ = Secure::bdd($_POST['champ']);
	}else{
		$champ = "pubdate";
	}
	if(isset($_POST['order'])&&(!empty($_POST['order']))){ 
		$order = Secure::bdd($_POST['order']);
	}else{
		$order = "DESC";
	}
	if(isset($_POST['limit'])&&(!empty($_POST['limit']))){ 
		$limit = Secure::bdd($_POST['limit']);
	}else{
		$limit = 0;
	}
	if(isset($_POST['depart'])&&(!empty($_POST['depart']))){ 
		$depart = Secure::bdd($_POST['depart']);
	}else{
		$depart = 0;
	}
	
	//On récupere le nombre d'articles
	$compteur_articles = compter_articles();
	
	//On regarde à partir de quel enregistrement on doit afficher les résultats
	$depart = afficherDepart($depart,$limit,$compteur_articles,$delta_articles);
	
	//On récupère les articles
	$articles_total = recuperer_articles_total($champ,$order,$depart,$delta_articles);
	
	/****** Affichage de page suivante et page précédente ******/
	$page_apres = '<input type="image" src="'.$url_img.'/apres.png" value=">>" onclick="recup_article_ajax(\'total\',\''.$champ.'\',\''.$order.'\',\'1\',\''.$depart.'\');" />';
	$page_avant = '<input type="image" src="'.$url_img.'/avant.png" value="<<" onclick="recup_article_ajax(\'total\',\''.$champ.'\',\''.$order.'\',\'-1\',\''.$depart.'\');" />';
	$page_utile = afficherPageUtile($depart,$compteur_articles,$page_avant,$page_apres,$delta_articles);
	/***********************************************************/
	
	$cpt_ligne = 1;
	echo '<table class="table_article">';
	echo '<tr><td colspan="4" class="pseudo_caption">Articles '.$project_article_p.' '.$project_name.'</td><td style="text-align:center;">'.$page_utile.'</td></tr>';
	echo '<tr>'.
		 	'<th>Titre <input type="image" src="'.$url_img.'/up.png" alt="up" onclick="recup_article_ajax(\'total\',\'title\',\'DESC\');"/><input type="image" src="'.$url_img.'/down.png" alt="down" onclick="recup_article_ajax(\'total\',\'title\',\'ASC\');"/></th>'.
		 	'<th>Type <input type="image" src="'.$url_img.'/up.png" alt="up" onclick="recup_article_ajax(\'total\',\'type\',\'DESC\');"/><input type="image" src="'.$url_img.'/down.png" alt="down" onclick="recup_article_ajax(\'total\',\'type\',\'ASC\');"/></th>'.
		 	'<th>Publication <input type="image" src="'.$url_img.'/up.png" alt="up" onclick="recup_article_ajax(\'total\',\'pubdate\',\'DESC\');"/><input type="image" src="'.$url_img.'/down.png" alt="down" onclick="recup_article_ajax(\'total\',\'pubdate\',\'ASC\');"/></th>'.
		 	'<th>Actions</th>'.
		 	'<th></th>'.
		 '</tr>';
	foreach($articles_total as $key => $article)
	{
		if($article['status'] != "D"){
			$status = '<span>'.$status_actif_lib.'</span>';
		}else{
			$status = '<span>'.$status_inactif_lib.'</span>';
		}
		
		//type de l'article en fonction de son code
		$type = type_article($article['type']);
		
		if($cpt_ligne%2==0){$classe = "modulo2-0";}else{$classe = "modulo2-1";}
		echo '<tr class="'.Secure::html($classe).'"><td class="td_titre" onclick="recup_info_ajax(\'articles\','.Secure::bdd($article['id']).');"><div class="force_overflow">'.Secure::html($article['title']).'</div></td>'.
			 '<td class="td_type">'.Secure::html($type).'</td>'.
			 '<td class="td_pubdate">'.Secure::html($article['pubdate_formater']).'</td>'.			
	 		 '<td class="td_actions">';
		if($article['status']!="D"){
			 echo '<input type="image" src="'.$url_img.'/delete_article.png" onclick="if(window.confirm(\''.$desact_article.'\')){gestion_article(\''.Secure::bdd($article['id']).'\',\'des\',\'total\');}else{return false;};" title="Désactiver"/></td>';
		}else{
			 echo '<input type="image" src="'.$url_img.'/nodelete_article.png" onclick="if(window.confirm(\''.$react_article.'\')){gestion_article(\''.Secure::bdd($article['id']).'\',\'rea\',\'total\');}else{return false;};" title="Réactiver"/></td>';
		}
		echo '<td class="td_status">'.$status.'</td></tr>';	
		$cpt_ligne++;
	}	
	echo '</table>';
}else{
	echo "Pas non accessible.";
}
