<?php
function recuperer_adm_logs()
{
	global $bdd_posh, $tb_adm_log;
	global $ch_alogs_log, $ch_alogs_logdate, $ch_alogs_typ;
	
	$logs = array();
	try{		
		$reponse = $bdd_posh->prepare("SELECT * FROM $tb_adm_log WHERE $ch_alogs_typ = ? ORDER BY $ch_alogs_logdate DESC");
		$reponse -> execute(array("A"));
		while ($donnees = $reponse->fetch())
		{	
			 $logs[] = $donnees;
		}
		$reponse -> closeCursor();
	}catch (Exception $e)
	{
		die('Erreur : ' . $e->getMessage());
	}
	return $logs;
}
function recuperer_adm_logs_recents($typ,$nbr_der_activites)
{
	global $bdd_posh, $tb_adm_log;
	global $ch_alogs_log, $ch_alogs_logdate, $ch_alogs_typ;
	
	$logs = array();
	try{		
		$reponse = $bdd_posh->prepare("SELECT $ch_alogs_log, DATE_FORMAT($ch_alogs_logdate, \"%d/%m/%Y\") AS logdate_formater, $ch_alogs_typ ".
									  "FROM $tb_adm_log ".
									  "WHERE $ch_alogs_typ = ? ".
									  "ORDER BY $ch_alogs_logdate DESC LIMIT 0,?");
		$reponse -> bindValue(1, $typ, PDO::PARAM_STR);
		$reponse -> bindValue(2, $nbr_der_activites, PDO::PARAM_INT);
		$reponse -> execute();
		while ($donnees = $reponse->fetch())
		{	
			 $logs[] = $donnees;
		}
		$reponse -> closeCursor();
	}catch (Exception $e)
	{
		die('Erreur : ' . $e->getMessage());
	}
	return $logs;
}
