<?php
//Pour éviter l'accès à la page directement, on vérifie que la page en reçoit bien l'autorisation
if($_POST['affichage']=='true'){
	
	require_once dirname(__FILE__).'/../../../includes/base.inc.php';
	
	//Récuperation du modèle pour le requetâge SQL
	include dirname(__FILE__).'/../../modeles/groupes.php';
	
	if(isset($_POST['champ'])&&(!empty($_POST['champ']))){ 
		$champ = Secure::bdd($_POST['champ']);
	}else{
		$champ = "creation_date";
	}
	if(isset($_POST['order'])&&(!empty($_POST['order']))){ 
		$order = Secure::bdd($_POST['order']);
	}else{
		$order = "DESC";
	}
	if(isset($_POST['limit'])&&(!empty($_POST['limit']))){ 
		$limit = Secure::bdd($_POST['limit']);
	}else{
		$limit = 0;
	}
	if(isset($_POST['depart'])&&(!empty($_POST['depart']))){ 
		$depart = Secure::bdd($_POST['depart']);
	}else{
		$depart = 0;
	}
	
	//On récupere le nombre de groupes
	$compteur_groupe_sansgestion = compter_groupe_sans_gestion();
	
	//On regarde à partir de quel enregistrement on doit afficher les résultats
	$depart = afficherDepart($depart,$limit,$compteur_groupe_sansgestion,$delta_groupes);
	
	//On récupère les groupes
	$groups_sans_gestion = recuperer_groups_sansgestion($champ,$order,$depart,$delta_groupes);
	
	/****** Affichage de page suivante et page précédente ******/
	$page_apres = '<input type="image" src="'.$url_img.'/apres.png" value=">>" onclick="recup_group_ajax(\'sans_gestion\',\''.$champ.'\',\''.$order.'\',\'1\',\''.$depart.'\');" />';
	$page_avant = '<input type="image" src="'.$url_img.'/avant.png" value="<<" onclick="recup_group_ajax(\'sans_gestion\',\''.$champ.'\',\''.$order.'\',\'-1\',\''.$depart.'\');" />';
	$page_utile = afficherPageUtile($depart,$compteur_groupe_sansgestion,$page_avant,$page_apres,$delta_groupes);
	/***********************************************************/
	
	$cpt_ligne = 1;
	echo '<table class="table_group">';
	echo '<tr><td colspan="5" class="pseudo_caption">Groupes sans gestionnaire '.$project_article_p.' '.$project_name.'</td><td style="text-align:center;">'.$page_utile.'</td></tr>';
	echo '<tr>'.
		 	'<th>Nom <input type="image" src="'.$url_img.'/up.png" alt="up" onclick="recup_group_ajax(\'sans_gestion\',\'name\',\'DESC\');"/><input type="image" src="'.$url_img.'/down.png" alt="down" onclick="recup_group_ajax(\'sans_gestion\',\'name\',\'ASC\');"/></th>'.
		 	'<th>Création <input type="image" src="'.$url_img.'/up.png" alt="up" onclick="recup_group_ajax(\'sans_gestion\',\'creation_date\',\'DESC\');"/><input type="image" src="'.$url_img.'/down.png" alt="down" onclick="recup_group_ajax(\'sans_gestion\',\'creation_date\',\'ASC\');"/></th>'.
		 	'<th>Type</th>'.
		 	'<th>Description</th>'.
		 	'<th>Actions</th>'.
		 	'<th></th>'.
		 '</tr>';
	foreach($groups_sans_gestion as $key => $group)
	{
		if($group['private'] == 1){
			$visibilite = $type_prive_lib;
		}else{
			$visibilite = $type_public_lib;
		}
		if($group['status'] == 1){
			$status = '<span style="color:'.$status_actif_color.';">'.$status_actif_lib.'</span>';
		}else{
			$status = '<span style="color:'.$status_inactif_color.';">'.$status_inactif_lib.'</span>';
		}	
		if($cpt_ligne%2==0){$classe = "modulo2-0";}else{$classe = "modulo2-1";}
		echo '<tr class="'.Secure::html($classe).'"><td class="td_name" onclick="recup_info_ajax(\'groupes\','.Secure::bdd($group['id']).');">'.Secure::html($group['name']).'</td>';     
		echo '<td class="td_creationdate">'.Secure::html($group['creation_date_formater']).'</td>'.
			 '<td class="td_visibilite">'.Secure::html($visibilite).'</td><td class="td_description"><div class="force_overflow">'.Secure::html($group['description']).'</div></td>'.
			'<td class="td_actions">';
			if($group['status']!="D"){
			 	echo '<input type="image" src="'.$url_img.'/delete_group.png" onclick="if(window.confirm(\''.$desact_groupe.'\')){gestion_group(\''.Secure::bdd($group['id']).'\',\'des\',\'sans_gestion\');}else{return false;};" title="Désactiver"/></td>';		 	
		 	}else{
		 		echo '<input type="image" src="'.$url_img.'/nodelete_group.png" onclick="if(window.confirm(\''.$react_groupe.'\')){gestion_group(\''.Secure::bdd($group['id']).'\',\'rea\',\'sans_gestion\');}else{return false;};" title="Réactiver"/></td>';
			}	
			echo '<td class="td_status">'.$status.'</td></tr>';	
		$cpt_ligne++;
	}
	echo '</table>';
}else{
	echo "Pas non accessible.";
}
