<script>
$(document).ready(function() {		
	hide_resultat();	
});
function show_resultat(type){
	hide_resultat();
	$('#container_recherche_'+type+'').slideUp(0).fadeIn(400);
}
function hide_resultat(){	
	$('#container_recherche_g').hide();
	$('#container_recherche_a').hide();
	$('#container_recherche_c').hide();
	$('#container_recherche_u').hide();
}
</script>
<?php
require_once dirname(__FILE__).'/../../includes/base.inc.php';

//Récuperation du modèle pour le requetâge SQL
include dirname(__FILE__).'/../modeles/groupes.php';
include dirname(__FILE__).'/../modeles/articles.php';
include dirname(__FILE__).'/../modeles/comments.php';
include dirname(__FILE__).'/../modeles/users.php';

@session_start();
if(isset($_SESSION['user_login'])&&(!empty($_SESSION['user_login']))){
	if(isset($_POST['texte'])&&(!empty($_POST['texte']))){
		
		$texte = Secure::bdd(trim($_POST['texte']));
		
		if(strlen($texte) >= 3){
	
			//Récuperation de tous les résultats de recherche + compteurs
			$resultat_rech_group = recuperer_group_recherche($texte);
			$resultat_rech_article = recuperer_article_recherche($texte);		
			$resultat_rech_comment_message = recuperer_comment_recherche_message($texte);
			$resultat_rech_user = recuperer_user_recherche($texte);
			
			echo '<p class="res_recherche" onclick="hide_resultat();">Résultats de la recherche contenant "'.Secure::html($texte).'"</p>';
			
			echo '<p class="res_recherche_sub" onclick="show_resultat(\'g\');">Résultat(s) dans les groupes (<b>'.Secure::html(sizeof($resultat_rech_group)).'</b>)</p>';
			/******************************************* Recherche dans les Groupes **********************************/
			echo '<div id="container_recherche_g">';
				echo '<div id="res_recherche">';			
					//Affichage des groupes trouvés
					if(!empty($resultat_rech_group)){
							echo '<div class="contenu">';
							foreach($resultat_rech_group as $key => $group){
								$name = str_ireplace($texte, '<span class="res_recherche_highlight">'.$texte.'</span>', Secure::html($group['name']));
								$description = str_ireplace($texte, '<span class="res_recherche_highlight">'.$texte.'</span>', Secure::strip($group['description']));							
								echo '<div class="force_overflow_rech_desc"><span class="res_recherche_titre" onclick="hide_resultat();recup_info_ajax(\'groupes\','.Secure::bdd($group['id']).');">'.$name.'</span> : ';							
								if(Secure::html($group['description'])!=''){
									echo '<span class="res_recherche_desc">'.$description.'</span></div>';
								}else{
									echo '<span class="res_recherche_desc">Aucune description</span></div>';
								}
							}
							echo '</div>';
					}else{
						echo '<div>Aucun groupe trouvé avec le mot "'.Secure::html($texte).'"</div>';
					}
				echo '</div>';
			echo '</div>';
			echo '<p class="res_recherche_sub" onclick="show_resultat(\'a\');">Résultat(s) dans les articles (<b>'.Secure::html(sizeof($resultat_rech_article)).'</b>)</p>';
			/*********************************** Recherche dans les titres Articles **********************************/
			echo '<div id="container_recherche_a">';
				echo '<div id="res_recherche">';
					//Affichage des articles trouvés
					if(!empty($resultat_rech_article)){
						echo '<div class="contenu">';
						foreach($resultat_rech_article as $key => $article){
							$titre = str_ireplace($texte, '<span class="res_recherche_highlight">'.$texte.'</span>', Secure::html($article['title']));
							$description = str_ireplace($texte, '<span class="res_recherche_highlight">'.$texte.'</span>', Secure::strip_desc($article['description']));
							echo '<div class="force_overflow_rech_desc"><span class="res_recherche_titre" onclick="hide_resultat();recup_info_ajax(\'articles\','.Secure::bdd($article['id']).');">'.$titre.'</span> : ';							
							if(Secure::html($article['description'])!=''){
								echo '<span class="res_recherche_desc">'.$description.'</span></div>';
							}else{
								echo '<span class="res_recherche_desc">Aucune description</span></div>';
							}
						}
						echo '</div>';
					}else{
						echo '<div>Aucun article trouvé avec le mot "'.Secure::html($texte).'"</div>';
					}
				echo '</div>';
			echo '</div>';
			echo '<p class="res_recherche_sub" onclick="show_resultat(\'c\');">Résultat(s) dans les commentaires (<b>'.Secure::html(sizeof($resultat_rech_comment_message)).'</b>)</p>';		
			/*********************************** Recherche dans les messages Commentaires ******************************/
			echo '<div id="container_recherche_c">';
				echo '<div id="res_recherche">';
					//Affichage des commentaires trouvés
					if(!empty($resultat_rech_comment_message)){
						echo '<div class="contenu">';
						foreach($resultat_rech_comment_message as $key => $comment){
							$commentaire = str_ireplace($texte, '<span class="res_recherche_highlight">'.$texte.'</span>', Secure::strip($comment['message']));										
							echo '<span class="res_recherche_titredesc"><div class="force_overflow" onclick="hide_resultat();recup_info_ajax(\'comments\','.Secure::bdd($comment['id']).');">'.$commentaire.'</div></span>';
						}
						echo '</div>';
					}else{
						echo '<div>Aucun commentaire trouvé avec le mot "'.Secure::html($texte).'"</div>';
					}
				echo '</div>';
			echo '</div>';
			echo '<p class="res_recherche_sub" onclick="show_resultat(\'u\');">Résultat(s) dans les utilisateurs (<b>'.Secure::html(sizeof($resultat_rech_user)).'</b>)</p>';		
			/*********************************** Recherche dans utilisateurs ******************************/
			echo '<div id="container_recherche_u">';
				echo '<div id="res_recherche">';
					//Affichage des utilisateurs trouvés
					if(!empty($resultat_rech_user)){
						echo '<div class="contenu">';
						foreach($resultat_rech_user as $key => $user){
							$utilisateur = str_ireplace($texte, '<span class="res_recherche_highlight">'.$texte.'</span>', Secure::strip($user['long_name']));										
							echo '<span class="res_recherche_titredesc"><div class="force_overflow" onclick="hide_resultat();">'.$utilisateur.'</div></span>';
						}
						echo '</div>';
					}else{
						echo '<div>Aucun utilisateur trouvé avec le mot "'.Secure::html($texte).'"</div>';
					}
				echo '</div>';
			echo '</div>';
		}else{
			echo "Veuillez saisir au moins 3 caractères.";
		}
	}else{
		echo "Veuillez saisir un mot à rechercher.";
	}
}else{
	redir($adresse);
}
?>
<br />
<div id="content_info">		
</div>
