<?php
class Secure
{
	// Données entrantes
	public static function bdd($string)
	{
		//Champs posant un problème car comportant un _ qui sera despecialisé par addcslashes plus bas
		//On les exclu donc de la vérif
		$tables = array('creation_date','created_by','long_name','lastconnect_date');
		
		// On regarde si le type de string est un nombre entier (int)
		if(ctype_digit($string))
		{
			$string = intval($string);
		}
		// Pour tous les autres types
		else
		{
			if(!in_array($string,$tables)){
				$string = addcslashes($string, '%_');
			}
		}
		return $string;
	}
	// Données sortantes
	public static function html($string)
	{
		return htmlspecialchars(stripslashes($string));
	}
	// Donnees sortantes
	public static function strip($string)
	{
		//On ecarte tous les tags sauf certains (on utilise span pour italic, color et bold)
		$string = strip_tags($string,'<a><b><br><span><font><u><b>');
		$string = stripslashes($string);
		return $string;
	}
	public static function strip_desc($string)
	{
		//On ecarte tous les tags sauf img
		$string = strip_tags($string,'<img>');
		$string = stripslashes($string);
		return $string;
	}
}
