<?php
require_once dirname(__FILE__).'/includes/base.inc.php';
 
if($use_CAS){
	require_once dirname(__FILE__).'/includes/auth.inc.php';
	cas_auth();
}else{
	session_start();
	$_SESSION['user_login'] = "admin"; //Compte admin par defaut du posh, generalement en phase de dev
}

define('ENVIRONMENT','dev');

$application_folder = 'application';

//On change le comportement des erreurs en fonction du mode
if (defined('ENVIRONMENT'))
{
	switch (ENVIRONMENT)
	{
		case 'dev':
			error_reporting(E_ALL | E_STRICT);
			ini_set('display_errors', 'On');
		break;

		case 'prod':
			error_reporting(0);
			ini_set('display_errors', 'Off');
		break;

		default:
			exit('L\'environnement de l\'application n\'est pas défini correctement.');
	}
}
//On inclut le controleur s'il existe et s'il est spécifié
$pattern="[./]";
if (!empty($_GET['page']) && is_file($application_folder.'/controleurs/'.$_GET['page'].'.php') && !preg_match($pattern,$_GET['page']))
{	
	include dirname(__FILE__).'/'.$application_folder.'/controleurs/'.$_GET['page'].'.php';
}
else
{
    header('Location: index.php?page=accueil');
}
?>
