//Recupere toutes les infos d'un article/groupe/com
function recup_info_ajax(type,id){
	$('#content_info').show();
	$('#content_info').html('<p><img src="'+url_img+'/ajax-loader.gif" width="220" height="19" /></p>');
	$('#content_info').load("application/vues/"+type+"/info_"+type+".php", {'id':id});
}
//Recupere une liste des groupes, permet le tri par champ et par ordre
function recup_group_ajax(select,champ,order,limit,depart){	
	$('#content_info').show();
	$('#content_info').html('<p><img src="'+url_img+'/ajax-loader.gif" width="220" height="19" /></p>');	
	if(limit!=null && depart!=null){
		$('#content_info').load("application/vues/groupes/groupes_"+select+".php", {'champ':champ,'order':order,'limit':limit,'depart':depart,'affichage':'true'});
	}else{
		$('#content_info').load("application/vues/groupes/groupes_"+select+".php", {'champ':champ,'order':order,'affichage':'true'});
	}
}
//Recupere une liste des articles, permet le tri par champ et par ordre
function recup_article_ajax(select,champ,order,limit,depart){
	var elem = select.split('-');
	var page = elem[0];
	var intervalle = elem[1];
	$('#content_info').show();
	$('#content_info').html('<p><img src="'+url_img+'/ajax-loader.gif" width="220" height="19" /></p>');		
	if(limit!=null && depart!=null){
		if(intervalle!=null){
			$('#content_info').load("application/vues/articles/articles_"+page+".php", {'intervalle':intervalle,'champ':champ,'order':order,'limit':limit,'depart':depart,'affichage':'true'});
		}else{
			$('#content_info').load("application/vues/articles/articles_"+select+".php", {'champ':champ,'order':order,'limit':limit,'depart':depart,'affichage':'true'});
		}
	}else{
		if(intervalle!=null){
			$('#content_info').load("application/vues/articles/articles_"+page+".php", {'intervalle':intervalle,'champ':champ,'order':order,'affichage':'true'});
		}else{			
			$('#content_info').load("application/vues/articles/articles_"+select+".php", {'champ':champ,'order':order,'affichage':'true'});
		}
	}
}
//Recupere une liste des commentaires, permet le tri par champ et par ordre
function recup_comment_ajax(select,champ,order,limit,depart){
	var elem = select.split('-');
	var page = elem[0];
	var intervalle = elem[1];
	$('#content_info').show();
	$('#content_info').html('<p><img src="'+url_img+'/ajax-loader.gif" width="220" height="19" /></p>');
	if(limit!=null && depart!=null){
		if(intervalle!=null){
			$('#content_info').load("application/vues/comments/comments_"+page+".php", {'intervalle':intervalle,'champ':champ,'order':order,'limit':limit,'affichage':'true'});
		}else{
			$('#content_info').load("application/vues/comments/comments_"+select+".php", {'champ':champ,'order':order,'limit':limit,'depart':depart,'affichage':'true'});
		}		
	}else{
		if(intervalle!=null){
			$('#content_info').load("application/vues/comments/comments_"+page+".php", {'intervalle':intervalle,'champ':champ,'order':order,'affichage':'true'});
		}else{
			$('#content_info').load("application/vues/comments/comments_"+select+".php", {'champ':champ,'order':order,'affichage':'true'});
		}		
	}	
}
//Recupere une liste des utilisateurs, permet le tri par champ et par ordre
function recup_user_ajax(select,champ,order,limit,depart){	
	$('#content_info').show();
	$('#content_info').html('<p><img src="'+url_img+'/ajax-loader.gif" width="220" height="19" /></p>');	
	if(limit!=null && depart!=null){
		$('#content_info').load("application/vues/users/users_"+select+".php", {'champ':champ,'order':order,'limit':limit,'depart':depart,'affichage':'true'});
	}else{
		$('#content_info').load("application/vues/users/users_"+select+".php", {'champ':champ,'order':order,'affichage':'true'});
	}
}
//Permet d'afficher la page de resultat des recherches
function recup_rechercher_ajax(texte){	
	if(trim(texte).length >= 3){
		$('#content_info').hide();
		$('#erreur_rech').html('');
		$('#content').show();
		$('#content').html('<p><img src="'+url_img+'/ajax-loader.gif" width="220" height="19" /></p>');		
		$('#content').load("application/vues/resultat_rech.php", {'texte':texte});	
	}else{
		$('input#ChampRech').val('3 caractères minimum...');
	}	
}
//Permet la suppression/reactivation d'un groupe
function gestion_group(id,action,page){
	if(action=='des' || action=='del' || action=='rea'){
		if(id!=null){			
			$.post("application/controleurs/groupes.php", { 'id':id, 'action':action })
			.done(function(data) {
				recup_group_ajax(page);
			});
			//Refresh des compteurs
			$('#content').load("application/controleurs/groupes.php", {'view':'compteurs'});
		}
	}
}
//Permet la suppression/reactivation d'un article
function gestion_article(id,action,page){
	if(action=='des' || action=='del' || action=='rea'){
		if(id!=null){			
			$.post("application/controleurs/articles.php", { 'id':id, 'action':action })
			.done(function(data) {
				recup_article_ajax(page);
			});
			//Refresh des compteurs
			$('#content').load("application/controleurs/articles.php", {'view':'compteurs'});
		}
	}
}
//Permet la suppression/reactivation d'un commentaire
function gestion_comment(id,action,page){
	if(action=='des' || action=='del' || action=='rea'){
		if(id!=null){
			$.post("application/controleurs/comments.php", { 'id':id, 'action':action })
			.done(function(data) {
				recup_comment_ajax(page);
			});
			//Refresh des compteurs
			$('#content').load("application/controleurs/comments.php", {'view':'compteurs'});
		}
	}
}
//Permet la suppression/reactivation d'un admin (user)
function gestion_admin(login,action){
	if(action=='add' || action=='del'){		
		if(login!=""){
			$('#content_info').html('<p><img src="'+url_img+'/ajax-loader.gif" width="220" height="19" /></p>');		
			$('#content_info').load("application/controleurs/admins.php", {'login':login,'action':action});
		}else{
			$('input#users').val('Le champ est vide');
		}
	}
}
function trim(myString)
{
	return myString.replace(/^\s+/g,'').replace(/\s+$/g,'')
} 